#!/bin/bash
./test1.sh & >/dev/null
./test2.sh & >/dev/null
./test3.sh & >/dev/null

echo "Non_Realtime_scheduling Test start:"
test1pid=`ps -ef |grep test1.sh |grep -v grep|awk '{print $2}'`
test2pid=`ps -ef |grep test2.sh |grep -v grep|awk '{print $2}'`
test3pid=`ps -ef |grep test3.sh |grep -v grep|awk '{print $2}'`
echo "test1pid is $test1pid,test2pid is $test2pid,test3pid is $test3pid"

test1sched=`top  -p $test1pid -n1 |grep test1.sh |awk '{print $5}'`
echo "test1.sh  schedule is $test1sched"
test2sched=`top  -p $test2pid -n1 |grep test2.sh |awk '{print $5}'`
echo "test2.sh  schedule is $test2sched"
test3sched=`top  -p $test3pid -n1 |grep test3.sh |awk '{print $5}'`
echo "test3.sh  schedule is $test3sched"

if [ "$test1sched" == "0" -o "$test2sched" == "0"  -o  "$test3sched" == "0" ];then
    echo "Non_Realtime_scheduling Test Pass"
else
    echo "Non_Realtime_scheduling Test Fail"
fi

kill -9 $test1pid
kill -9 $test2pid
kill -9 $test3pid